Package com.xebialabs.xlrelease.domain.events

## Class ActivityLogEvent

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.ActivityLogEvent

- All Implemented Interfaces:
    `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class ActivityLogEvent
      extends java.lang.Object
      implements XLReleaseEvent, scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActivityLogEvent​(java.lang.String releaseId, java.lang.String id, java.lang.String activityType, java.lang.String message, java.util.Date eventTime, java.lang.String targetType, java.lang.String targetId)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `activityType()` |
    `static ActivityLogEvent` | `apply​(java.lang.String releaseId, java.lang.String id, java.lang.String activityType, java.lang.String message, java.util.Date eventTime, java.lang.String targetType, java.lang.String targetId)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `ActivityLogEvent` | `copy​(java.lang.String releaseId, java.lang.String id, java.lang.String activityType, java.lang.String message, java.util.Date eventTime, java.lang.String targetType, java.lang.String targetId)` |
    `java.lang.String` | `copy$default$1()` |
    `java.lang.String` | `copy$default$2()` |
    `java.lang.String` | `copy$default$3()` |
    `java.lang.String` | `copy$default$4()` |
    `java.util.Date` | `copy$default$5()` |
    `java.lang.String` | `copy$default$6()` |
    `java.lang.String` | `copy$default$7()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `java.util.Date` | `eventTime()` |
    `int` | `hashCode()` |
    `java.lang.String` | `id()` |
    `java.lang.String` | `message()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `releaseId()` |
    `java.lang.String` | `targetId()` |
    `java.lang.String` | `targetType()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String>>` | `unapply​(ActivityLogEvent x$0)` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### ActivityLogEvent

          public ActivityLogEvent​(java.lang.String releaseId,
                                  java.lang.String id,
                                  java.lang.String activityType,
                                  java.lang.String message,
                                  java.util.Date eventTime,
                                  java.lang.String targetType,
                                  java.lang.String targetId)

  - ### Method Detail

    - #### apply

          public static ActivityLogEvent apply​(java.lang.String releaseId,
                                               java.lang.String id,
                                               java.lang.String activityType,
                                               java.lang.String message,
                                               java.util.Date eventTime,
                                               java.lang.String targetType,
                                               java.lang.String targetId)

    - #### unapply

          public static scala.Option<scala.Tuple7<java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​java.util.Date,​java.lang.String,​java.lang.String>> unapply​(ActivityLogEvent x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### releaseId

          public java.lang.String releaseId()

    - #### id

          public java.lang.String id()

    - #### activityType

          public java.lang.String activityType()

    - #### message

          public java.lang.String message()

    - #### eventTime

          public java.util.Date eventTime()

    - #### targetType

          public java.lang.String targetType()

    - #### targetId

          public java.lang.String targetId()

    - #### copy

          public ActivityLogEvent copy​(java.lang.String releaseId,
                                       java.lang.String id,
                                       java.lang.String activityType,
                                       java.lang.String message,
                                       java.util.Date eventTime,
                                       java.lang.String targetType,
                                       java.lang.String targetId)

    - #### copy$default$1

          public java.lang.String copy$default$1()

    - #### copy$default$2

          public java.lang.String copy$default$2()

    - #### copy$default$3

          public java.lang.String copy$default$3()

    - #### copy$default$4

          public java.lang.String copy$default$4()

    - #### copy$default$5

          public java.util.Date copy$default$5()

    - #### copy$default$6

          public java.lang.String copy$default$6()

    - #### copy$default$7

          public java.lang.String copy$default$7()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`